// Copyright 2003-2004 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// <http://www.omnigroup.com/developer/sourcecode/sourcelicense/>.
//
// $Header: /Source/CVS/OmniGroup/Frameworks/OmniAppKit/Widgets.subproj/OAColorWell.h,v 1.7 2004/03/15 06:53:57 kc Exp $

#import <AppKit/NSColorWell.h>

#import <AppKit/NSNibDeclarations.h> // For IBAction, IBOutlet

@interface OAColorWell : NSColorWell
+ (BOOL)hasActiveColorWell;
+ (NSArray *)activeColorWells;
+ (void)deactivateAllColorWells;

- (IBAction)setPatternColorByPickingImage:(id)sender;

@end

extern NSString *OAColorWellWillActivate;
