// Copyright 2003-2004 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// <http://www.omnigroup.com/developer/sourcecode/sourcelicense/>.
//
// $Header: /Source/CVS/OmniGroup/Frameworks/OmniAppKit/Inspector.subproj/OAInspectionSet.h,v 1.4 2004/03/15 06:53:56 kc Exp $

#import <OmniFoundation/OFObject.h>

@class NSArray, NSMutableSet;

@interface OAInspectionSet : OFObject
{
    NSMutableSet *_objects;
}

- (void)addObject:(id)object;
- (void)addObjectsFromArray:(NSArray *)objects;
- (void)removeObject:(id)object;
- (BOOL)containsObject:(id)object;

- (NSArray *)allObjects;
- (NSArray *)objectsOfClass:(Class)cls;
- (void)removeObjectsOfClass:(Class)cls;

@end
