// Copyright 1997-2004 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// <http://www.omnigroup.com/developer/sourcecode/sourcelicense/>.
//
// $Header: /Source/CVS/OmniGroup/Frameworks/OmniAppKit/OpenStepExtensions.subproj/NSPasteboard-OAExtensions.h,v 1.12 2004/02/28 05:20:13 andrew Exp $

#import <AppKit/NSPasteboard.h>

@class NSString;
@class NSParagraphStyle;

@interface NSPasteboard (OAExtensions)
- (NSData *)dataForType:(NSString *)dataType stripTrailingNull:(BOOL)stripNull;
- (NSParagraphStyle *)paragraphStyleForType:(NSString *)type;
- (BOOL)setParagraphStyle:(NSParagraphStyle *)paragraphStyle forType:(NSString *)type;
@end
